package com.tzld.piaoquan.ad.engine.service.predict.v2;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.HashMap;
import java.util.Map;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class PredictLogParam {

    private String expId;

    private Map<String, Double> allFeature = new HashMap<>();

    private Map<String, Map<String, String>> metaFeature = new HashMap<>();

    private Double score;

    private Map<String, Double> scoreMap = new HashMap<>();

    private boolean aIsShowAd;

    private boolean bIsNewUser;
}
